[metadata]
name = gwkoji
author = Adam Mercer
author_email = adam.mercer@ligo.org
license = GPLv3+
license_file = COPYING
keywords = physics, astronomy, gravitational-waves, ligo
url = https://git.ligo.org/adam-mercer/koji-packager
description = Python library for interacting with the Koji RPM build system
long_description = file: README.rst
classifiers =
	Development Status :: 3 - Alpha
	Intended Audience :: Developers
	Intended Audience :: End Users/Desktop
	Intended Audience :: Science/Research
	License :: OSI Approved :: GNU General Public License v3 or later (GPLv3)
	Natural Language :: English
	Operating System :: POSIX
	Operating System :: Unix
	Programming Language :: Python
	Programming Language :: Python :: 3
	Programming Language :: Python :: 3.6
	Programming Language :: Python :: 3.7
	Topic :: Scientific/Engineering
	Topic :: Scientific/Engineering :: Astronomy
	Topic :: Scientific/Engineering :: Physics

[options]
zip_safe = False
packages = find:
python_requires = >=3.6
setup_requires =
	setuptools >=30.3.0
tests_require =
	pytest >=3.1.0

[options.entry_points]
console_scripts =
	gwkoji-packager = gwkoji.packager:main

[flake8]
exclude =
	__pycache__,
	.eggs/,
	.git/,
	build/,
	docs/,
per-file-ignores =
	__init__.py:F401
